.product-slider {
  width: 50%;
  height: 300px;
  margin-left: auto;
  margin-right: auto;
}

.swiper-slide {
  background-size: cover;
  background-position: center;
}

.gallery-top {
  height: 80%;
  width: 100%;
}

.gallery-thumbs {
  height: 20%;
  box-sizing: border-box;
  padding: 10px 0;
}

.gallery-thumbs .swiper-slide {
  width: 25%;
  height: 100%;
  opacity: 0.4;
}

.gallery-thumbs .swiper-slide-thumb-active {
  opacity: 1;
}

.product-page {
  padding-top: 32px;
  padding-bottom: 128px;
  .product-page-inner {
    .about-product {
      display: flex;
      justify-content: space-between;
      margin-bottom: 64px;

      .image-slider {
        max-width: 573px;
        width: 100%;
        display: flex;

        .gallery-thumbs {
          width: max-content;
          margin-right: 12px;
          max-height: 100%;
          height: auto;

          .swiper-slide {
            width: 84px;
            max-height: 84px;
          }
        }

        .gallery-top {
          width: 477px;
          height: 615px;

          .swiper-slide {
            width: 100%;
            height: 100%;
          }
        }
      }

      .product-desc {
        max-width: 499px;
        width: 100%;

        .ordering-crumbs {
          margin-bottom: 12px;
        }

        .title {
          font-size: 24px;
          line-height: 149%;
          margin-bottom: 8px;
        }

        .price-wrapper {
          width: 100%;
          display: flex;
          justify-content: space-between;
          margin-bottom: 16px;

          .price {
            font-size: 18px;
            line-height: 149%;
          }

          .review {
            p {
              font-size: 14px;
              line-height: 19px;
              text-decoration-line: underline;
            }
          }
        }

        .desc-text {
          font-size: 14px;
          line-height: 20px;
          margin-bottom: 24px;
        }

        .params {
          padding: 16px;
          margin-bottom: 32px;

          .color {
            display: flex;
            justify-content: space-between;
            align-items: flex-start;
            margin-bottom: 20px;

            .color-pick {
              .current-color {
                font-size: 12px;
                line-height: 16px;
                letter-spacing: 0.7px;
                margin-bottom: 8px;
              }
            }

            .link-button {
              font-size: 12px;
              line-height: 16px;
              letter-spacing: 0.7px;
            }
          }

          .size {
            .current-size {
              font-size: 12px;
              line-height: 16px;
              letter-spacing: 0.7px;
              margin-bottom: 16px;
            }

            .button-wrapper {
              display: flex;
              flex-wrap: wrap;

              button {
                font-size: 14px;
                line-height: 19px;
                margin-right: 16px;

                &:last-of-type {
                  margin-right: 0;
                }
              }
            }
          }
        }

        .black-button {
          width: 100%;
          font-size: 12px;
          line-height: 16px;
          text-align: center;
          letter-spacing: 1px;
          margin-bottom: 32px;

          span {
            margin-left: 2px;
          }
        }

        .dropdown {
          width: 100%;
          padding-top: 16px;
          border-top: 1px solid rgba(204, 204, 204, 0.3);
          margin-bottom: 16px;

          summary {
            display: flex;
            justify-content: space-between;
            align-items: center;
            cursor: pointer;
            transition: 0.23s;
            font-size: 12px;
            line-height: 16px;
            letter-spacing: 0.7px;

            .minus {
              transition: 0.23s;
              font-size: 18px;
              line-height: 25px;
              letter-spacing: 1px;
              display: none;
            }

            .plus {
              transition: 0.23s;
              font-size: 18px;
              line-height: 25px;
              letter-spacing: 1px;
            }

            &:hover {
              color: #909090;
            }
          }

          .dropdown-content {
            padding-top: 16px;

            .info-item {
              font-size: 12px;
              line-height: 16px;
              color: #909090;
              margin-bottom: 4px;

              span {
                margin-right: 8px;
              }
            }
          }

          &[open] {
            summary {
              .minus {
                display: block;
              }

              .plus {
                display: none;
              }
            }
          }
        }
      }
    }

    .leave-feedback-block {
      display: flex;
      justify-content: space-between;
      align-items: flex-start;
      margin-bottom: 64px;

      .feedback-status {
        display: flex;

        .current-stars {
          margin-right: 64px;

          .review {
            margin-bottom: 11px;
          }

          > p {
            font-size: 14px;
            line-height: 19px;
          }
        }
      }
    }

    .question-form-wrapper {
      max-width: 657px;
      margin: 0 auto 64px;

      .required-fields-info:first-child {
        margin-bottom: 0;
      }

      .form {
        .review {
          .stars-wrapper {
            cursor: pointer;
          }
        }
      }
    }

    .feedback {
      .tabs {
        .link-button {
          text-decoration: none;
          padding-bottom: 4px;
          border-bottom: 2px solid transparent;

          &:first-child {
            margin-right: 32px;
          }

          &:hover,
          &.active {
            border-bottom: 2px solid #2d2d2d;
          }
        }
      }

      .feedbacks-wrapper {
        margin-bottom: 48px;

        .feedback-item {
          padding-top: 32px;
          padding-bottom: 32px;
          border-bottom: 1px solid rgba(204, 204, 204, 0.3);

          .about-author {
            display: flex;
            margin-bottom: 12px;

            .author {
              font-size: 16px;
              line-height: 22px;
              margin-right: 8px;
            }

            .author-status {
              font-size: 16px;
              line-height: 149%;
              color: #dadada;
            }

            .date {
              font-size: 12px;
              line-height: 16px;
              color: #909090;
              margin-left: auto;
            }
          }

          .stars-wrapper {
            margin-bottom: 12px;
          }

          .text {
            .short-desc {
              font-size: 16px;
              line-height: 22px;
              margin-bottom: 8px;
            }

            .long-desc {
              font-size: 16px;
              line-height: 149%;
            }

            .img-wrapper {
              display: flex;

              .feedback-img {
                width: 74px;
                height: 74px;
                background-color: rgba(204, 204, 204, 0.3);
                margin-right: 8px;
                margin-top: 12px;

                > img {
                  width: 100%;
                  height: 100%;
                  object-fit: cover;
                }

                &:last-child {
                  margin-right: 0;
                }
              }
            }

            .resp {
              max-width: 731px;
              margin-top: 24px;
              padding: 16px;
              background-color: #fef8f5;
              border-radius: 6px;
            }
          }

          .like-block {
            display: flex;
            align-items: center;
            justify-content: flex-end;

            button {
              margin-right: 24px;

              &:last-child {
                margin-right: 0;
              }
            }

            p {
              font-size: 12px;
              line-height: 16px;
              color: #909090;
              margin-right: 24px;
            }
          }
        }
      }
    }
  }
}
